# ACE_Log_Msg_UNIX_Syslog Class Reference

Implements an ACE_Log_Msg_Backend that logs messages to a UNIX system's syslog facility. More...

`#include <Log_Msg_UNIX_Syslog.h>`

Inheritance diagram for ACE_Log_Msg_UNIX_Syslog:

[legend]
Collaboration diagram for ACE_Log_Msg_UNIX_Syslog:

[legend]
List of all members.

## Public Member Functions

| ACE_Log_Msg_UNIX_Syslog (void)
| Constructor.
virtual | ~ACE_Log_Msg_UNIX_Syslog (void)
| Destructor.
virtual int | open (const ACE_TCHAR *logger_key)
| Open a new event log.
virtual int | reset (void)
| Reset the backend.
virtual int | close (void)
| Close the backend completely.
virtual int | log (ACE_Log_Record &log_record)
| This is called when we want to log a message.

## Private Member Functions

int | convert_log_priority (ACE_UINT32 lm_priority)
| Convert an ACE_Log_Priority value to the corresponding syslog priority.
int | convert_log_mask (int lm_mask)
| Convert an ACE_Log_Priority mask to the corresponding syslog mask value.

## Detailed Description

Implements an ACE_Log_Msg_Backend that logs messages to a UNIX system's syslog facility.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Log_Msg_UNIX_Syslog::ACE_Log_Msg_UNIX_Syslog | ( | void |  | ) |

| Constructor.

ACE_Log_Msg_UNIX_Syslog::~ACE_Log_Msg_UNIX_Syslog | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Log_Msg_UNIX_Syslog::close | ( | void |  | ) | `[virtual]`

| Close the backend completely. Implements ACE_Log_Msg_Backend.

int ACE_Log_Msg_UNIX_Syslog::convert_log_mask | ( | int | lm_mask | ) | `[private]`

| Convert an ACE_Log_Priority mask to the corresponding syslog mask value.

int ACE_Log_Msg_UNIX_Syslog::convert_log_priority | ( | ACE_UINT32 | lm_priority | ) | `[private]`

| Convert an ACE_Log_Priority value to the corresponding syslog priority.

int ACE_Log_Msg_UNIX_Syslog::log | ( | ACE_Log_Record & | log_record | ) | `[virtual]`

| This is called when we want to log a message. Implements ACE_Log_Msg_Backend.

int ACE_Log_Msg_UNIX_Syslog::open | ( | const ACE_TCHAR * | logger_key | ) | `[virtual]`

Open a new event log.

Initialize the event logging facility.

Parameters:

  | logger_key | The name of the calling program. This name is used as the `ident` in the syslog entries. If it is 0 (no name), the application name as returned from ACE_Log_Msg::program_name() is used.

Implements ACE_Log_Msg_Backend.

int ACE_Log_Msg_UNIX_Syslog::reset | ( | void |  | ) | `[virtual]`

| Reset the backend. Implements ACE_Log_Msg_Backend.

The documentation for this class was generated from the following files:

- Log_Msg_UNIX_Syslog.h
- Log_Msg_UNIX_Syslog.cpp